/***********************
 * LIENS EDITABLES *
 * @event ONCLICK
 */	
$(document).ready(function() 
{
    $.fn.editable.defaults.mode = 'inline';
	
	$('.editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		params: {'typeAjx': 8},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}		
	});
	
	$('.editable-item-select').editable({
		type: 'select',
		url: '/scm/ajax/global.ajx.php',
        prepend: 'Choisir ...',
		send: 'always',
		params: {'typeAjx': 8},
		source: function() 
		{
			var result;
			var dataAjx = $(this).attr('data-ajx');
			
			$.ajax({
				url: '/scm/ajax/global.ajx.php',
				data: {'typeAjx': dataAjx, 'select': true},
				type: 'POST',
				global: false,
				async: false,
				dataType: 'json',
				success: function(data){ result = data; }
			});
			return result;
		},
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			if(retour.status == 'ok')
			{
				alertify.set('notifier','position', 'top-left');
				alertify.success(retour.reponse);
			}
		}			
	});		
	
});

/***********************
 * VALIDATION DU FORMULAIRE *
 * Ajoute un grade *
 * @event ONSUBMIT
 */	

$('.formStd').live('submit',function(e) 
{
	e.preventDefault();
	
	var input = $(this).find('input,select,textarea');
	var datas = $(input).serialize();
	var dest  = $(this).attr('id');
	
	$.ajax(
	{
		type		: 'POST',
		url			: '/scm/ajax/global.ajx.php',
		data		: 'typeAjx='+dest+'&'+datas,
		dataType	: 'json',
		beforeSend 	: function()
		{
			clearTimeout(loadingTimer);
			loadingTimer = setTimeout(showLoading,3000);
		},
		success		: function(data)
		{
			if(data['erreur']!=='' && data['erreur']!=null)
			{
				swal('Erreur!',data['erreur'],'error');
			}
			else
			{
				$('.formStd#'+dest).prev('table').append(data['append']);
				
				alertify.set('notifier','position', 'top-left');
				alertify.success(data['reponse']);
			}
		},
		complete 	: function()
		{
			clearTimeout(loadingTimer);
			hideLoading();
		}		
	});	
});


/***********************
 * SUPPRIME UN PROF *
 * @event ONCLICK
 */

$('.listeProf a.del').live('click',function()
{
	var pk = $(this).parents('tr').find('a.editable').attr('data-pk');
	
	swal({
		title: 'Supprimer cette ligne ?',
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=8&mod=del&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/profs/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
});


/*********************************************
 * IMPORTE DES PROFS D'UNE SAISON ANTERIEURE *
 * @event ONCLICK
 */
 
$('#importProf').live('click',function(e)
{
	e.preventDefault();
	
	var code 			= $(this).attr('data-code');	
	var selectSaison 	= $('#selectSaison').html();
	
	swal({
		title: 'Choisissez une saison',
		html: selectSaison,
		showCancelButton: true,
		confirmButtonText: 'Valider',
		cancelButtonText: 'Annuler',
		showLoaderOnConfirm: true,
		allowOutsideClick: false,
		reverseButtons: true,
		preConfirm: function () 
		{
			return new Promise(function (resolve) 
			{
			  resolve([
					$('#swal-input1').val(),
			  ])
			})		
		}
	}).then(function(result) 
	{
		swal.resetDefaults();
		var data = JSON.stringify(result);
		
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=30&data='+data,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/profs/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
		
		  
	}).catch(swal.noop);
	
	return false;
});