

/***********************
 * LIENS EDITABLES *
 * @event ONCLICK
 */	

$('#tabAdhesion .editable-item-text').editable({
	type: 'text',
	url: '/scm/ajax/global.ajx.php',
	send: 'always',
	dataType: 'json',
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	}
});

/***********************
 * SUPPRIME UNE ADHESION *
 * @event ONCLICK
 */

$('#tabAdhesion a.del').live('click',function()
{
	var pk = $(this).parents('tr').find('a.editable').attr('data-pk');
	
	swal({
		title: 'Supprimer cette ligne ?',
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Oui, supprimer!',
		cancelButtonText: 'Annuler'
	}).then(function () 
	{
		$.ajax(
		{
			type		: 'POST',
			url			: '/scm/ajax/global.ajx.php',
			data		: 'typeAjx=10&mod=del&pk='+pk,
			dataType	: 'json',
			beforeSend 	: function()
			{
				clearTimeout(loadingTimer);
				loadingTimer = setTimeout(showLoading,3000);
			},
			success		: function(data)
			{
				if(data['erreur']!=='' && data['erreur']!=null)
				{
					swal('Erreur!',data['erreur'],'error');
				}
				else
				{				
					swal({
						title: 'Bravo!', 
						text: data['reponse'], 
						type: 'success'
					}).then(function(){ location.href = '/scm/'+langue+'/tarifs/'; });
				}
			},
			complete 	: function()
			{
				clearTimeout(loadingTimer);
				hideLoading();
			}		
		});	
	});
});

/***********************
 * AJOUTE UNE NOUVELLE ADHESION *
 * @event ONCLICK
 */	
 
$('#addAdhesion').live('click',function(e)
{
	e.preventDefault();
	
	var tab = $(this).parents('div').next();
	
	$(tab).append('<tr><td>-</td><td><a class="editable-item-text" data-params="{\'typeAjx\':\'10\'}">Nouveau tarif</a></td></tr>');

	$('#tabAdhesion .editable-item-text').editable({
		type: 'text',
		url: '/scm/ajax/global.ajx.php',
		send: 'always',
		dataType: 'json',
		success: function(response, newValue) 
		{
			var retour = JSON.parse(response);
			
			if(retour.erreur!=='' && retour.erreur!=null)
			{
				alertify.set('notifier','position', 'top-left');
				alertify.error(retour.erreur);
			}
			else
			{
				swal({
					title: 'Bravo!', 
					text: retour.reponse, 
					type: 'success'
				}).then(function(){ location.href = '/scm/'+langue+'/tarifs/'; });	
			}
		}
	});	
});



/***********************
 * SCROLL TABLE *
 */	

var options = {
	width: '100%',
	height: 250,
	pinnedRows: 1,
	pinnedCols: 1,
	container: '#scrollableTable',
	removeOriginal: true
};

$('#tabTarif').tablescroller(options);


$('#scrollableTable .editable-item-text').editable({
	type: 'text',
	url: '/scm/ajax/global.ajx.php',
	send: 'always',
	dataType: 'json',
	success: function(response, newValue) 
	{
		var retour = JSON.parse(response);
		
		if(retour.erreur!=='' && retour.erreur!=null)
		{
			alertify.set('notifier','position', 'top-left');
			alertify.error(retour.erreur);
		}
		else
		{
			alertify.set('notifier','position', 'top-left');
			alertify.success(retour.reponse);
		}
	},
	display: function(value,response) 
	{
		var k = parseFloat(value).toFixed(2).replace(/(\d)(?=(\d{3})+.)/g, '$1,');
		$(this).text(k);
	}
});